Base Request for all Request classes usable with DynamoStore. which means they have only one table they work with (even if the actual operation would allow to use multiple tables. e.g. BatchWriteSingleTable)

### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput | BatchGetItemInput | BatchWriteItemInput | TransactGetItemsInput | TransactWriteItemsInput

- #### R: BaseRequest<T, I, any>

### Hierarchy

- BaseRequest
  - StandardRequest
  - BatchGetSingleTableRequest
  - TransactGetSingleTableRequest
  - BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- returnConsumedCapacity

## Constructors

### Protected constructor

- new BaseRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): BaseRequest

- - Defined in dynamo/request/base.request.ts:32

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BaseRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

- Defined in dynamo/request/base.request.ts:28

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/base.request.ts:29

### params

params: I

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

- Defined in dynamo/request/base.request.ts:31

## Methods

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): R

- - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns R

Generated using TypeDoc